Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.monitor
Interface MX4JGaugeMonitorMBean

All Superinterfaces:
  MX4JMonitorMBean

All Known Implementing Classes:
  MX4JGaugeMonitor

public interface MX4JGaugeMonitorMBean
extends MX4JMonitorMBean

Version:
  $Revision: 1.3 $

Method Summary
`java.lang.Number` | `getDerivedGauge(javax.management.ObjectName objectName)`
`long` | `getDerivedGaugeTimeStamp(javax.management.ObjectName objectName)`
`boolean` | `getDifferenceMode()`
`java.lang.Number` | `getHighThreshold()`
`java.lang.Number` | `getLowThreshold()`
`boolean` | `getNotifyHigh()`
`boolean` | `getNotifyLow()`
`void` | `setDifferenceMode(boolean value)`
`void` | `setNotifyHigh(boolean value)`
`void` | `setNotifyLow(boolean value)`
`void` | `setThresholds(java.lang.Number highValue, java.lang.Number lowValue)`

Methods inherited from interface mx4j.monitor.MX4JMonitorMBean
`addObservedObject, containsObservedObject, getGranularityPeriod, getObservedAttribute, getObservedObjects, isActive, removeObservedObject, setGranularityPeriod, setObservedAttribute, start, stop`

Method Detail

### getDerivedGauge

    public java.lang.Number getDerivedGauge(javax.management.ObjectName objectName)

### getDerivedGaugeTimeStamp

    public long getDerivedGaugeTimeStamp(javax.management.ObjectName objectName)

### getHighThreshold

    public java.lang.Number getHighThreshold()

### getLowThreshold

    public java.lang.Number getLowThreshold()

### setThresholds

    public void setThresholds(java.lang.Number highValue,
                              java.lang.Number lowValue)
                       throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getNotifyHigh

    public boolean getNotifyHigh()

### setNotifyHigh

    public void setNotifyHigh(boolean value)

### getNotifyLow

    public boolean getNotifyLow()

### setNotifyLow

    public void setNotifyLow(boolean value)

### getDifferenceMode

    public boolean getDifferenceMode()

### setDifferenceMode

    public void setDifferenceMode(boolean value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.